# RPM specfile for gnome-vfs2 module
# Generated Sat Jan 25 05:55:49 2003 GMT by Ximian build system
# from $Id: bb_do,v 1.214 2003/01/21 05:44:22 thunder Exp $

%define nam	gnome-vfs2
%define ver	2.2.0.0.200301250412
%define ximrev	1

Name:     	gnome-vfs2
Version: 	2.2.0.0.200301250412
Release:	0.snap.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.3 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/
Source0:	gnome-vfs-2.2.0.tar.gz
Summary:	GNOME virtual file system library
Group:		System Environment/Libraries
Requires:	libbonobo
Requires:	GConf2
Requires:	fam
Requires:	gnome-mime-data
Provides:	ximian-gnome-vfs2 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Prereq:	GConf2

%description
The GNOME Virtual File System provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.  It is similar in spirit to the Midnight
Commander's VFS (as it uses a similar URI scheme) but it is designed
from the ground up to be extensible and to be usable from any
application.

%files
%defattr(-, root, root)
%doc AUTHORS README NEWS TODO ChangeLog INSTALL COPYING COPYING.LIB
/usr/lib/*.so.*
/usr/lib/vfs/2.0/extfs
/usr/lib/gnome-vfs-2.0/modules/*.so
/usr/lib/bonobo/monikers/*.so
/usr/lib/bonobo/servers/*.server
/usr/share/gtk-doc/html/*
/usr/*/locale/*/LC_MESSAGES/*
%config(noreplace) /etc/gnome-vfs-2.0/modules/*
%config(noreplace) /etc/gnome-vfs-2.0/vfolders/*
%config(noreplace) /etc/gconf/schemas/*


%post
ldconfig
for schema in system_http_proxy ; do GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule /etc/gconf/schemas/$schema.schemas; done

%postun
ldconfig

%package -n gnome-vfs2-devel
Summary:	GNOME virtual file system library.
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}
Requires:	libbonobo-devel
Requires:	GConf2-devel
Provides:	ximian-gnome-vfs2-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n gnome-vfs2-devel
This contains headers and libraries for developing with gnome-vfs.

%files -n gnome-vfs2-devel
%defattr(-, root, root)
/usr/lib/*.so
/usr/include/*
/usr/lib/gnome-vfs-2.0/include
/usr/lib/pkgconfig/*.pc


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnome-vfs-2.2.0
    ;;
all)
%setup  -q -n gnome-vfs-2.2.0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --disable-static
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    LDFLAGS="$LDFLAGS -lpopt" ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Sat Jan 25 2003 Ximian, Inc.

- Version: 2.2.0.0.200301250412-0.snap.ximian.1
- Summary: New build.
- New automated build.

